## DEFAULT Predicate (default predicate)

By specifying a DEFAULT predicate, you can check whether a column contains the default value defined for this column.

### Syntax

<default_predicate> ::= <column_spec> <comp_op> DEFAULT

<comp_op> ::= < | > | <> | != | = | <= | >=
| ~= | ~< | ~> (for computers with ASCII code)

### Explanation

A DEFAULT specification must be made for the specified column. This can be done in the following SQL statements:

· CREATE TABLE Statement

· ALTER TABLE statement

If the column contains the NULL value, <column_spec> <comp_op> DEFAULT is undefined.

The rules for comparing values or value lists, as defined for comparison predicates, apply here.